﻿using System.Collections;
using System.Resources;

namespace EdgeVoyager
{
    public partial class Form2 : Form
    {
        public Form2()
        {
            InitializeComponent();
            string docPath = Environment.GetFolderPath(Environment.SpecialFolder.MyDocuments);
            string resxFilePath = Path.Combine(docPath, @"EdgeVoyager\favoritesMenuItem.resx");
            ResXResourceReader rsxr = new ResXResourceReader(resxFilePath);
            foreach (DictionaryEntry d in rsxr)
            {
                ListViewItem item = new ListViewItem(d.Key.ToString());
                item.SubItems.Add(d.Value.ToString());
                listView1.Items.Add(item);
            }
            rsxr.Close();
        }

        private void copyMenuItem_Click(object sender, EventArgs e)
        {
            if (listView1.SelectedItems.Count > 0)
            {
                ListViewItem selectedItem = listView1.SelectedItems[0];
                string value = selectedItem.SubItems[1].Text;
                Clipboard.SetText(value);
            }
        }

        private void deleteMenuItem_Click(object sender, EventArgs e)
        {
            if (listView1.SelectedItems.Count > 0)
            {
                ListViewItem selectedItem = listView1.SelectedItems[0];
                string key = selectedItem.SubItems[0].Text;
                string docPath = Environment.GetFolderPath(Environment.SpecialFolder.MyDocuments);
                string resxFilePath = Path.Combine(docPath, @"EdgeVoyager\favoritesMenuItem.resx");
                ResXResourceReader rsxr = new ResXResourceReader(resxFilePath);
                Dictionary<string, object> resources = new Dictionary<string, object>();
                foreach (DictionaryEntry d in rsxr)
                {
                    if (d.Key.ToString() != key)
                        resources.Add(d.Key.ToString(), d.Value);
                }
                rsxr.Close();
                ResXResourceWriter rsxw = new ResXResourceWriter(resxFilePath);
                foreach (var kvp in resources)
                {
                    rsxw.AddResource(kvp.Key, kvp.Value);
                }
                rsxw.Generate();
                rsxw.Close();
                listView1.Items.Clear();
                ResXResourceReader rsxr2 = new ResXResourceReader(resxFilePath);
                foreach (DictionaryEntry d in rsxr2)
                {
                    ListViewItem item = new ListViewItem(d.Key.ToString());
                    item.SubItems.Add(d.Value.ToString());
                    listView1.Items.Add(item);
                }
                rsxr.Close();
            }
        }
    }
}
